Ciele

Reset a built-in Role to its default Capabilities

POST/api/v1/roles/{roleId}/reset

Requires an Organization API key with the manageMembers capability.

AuthorizationBearer <token>

In: header

Path Parameters

roleId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/roles/string/reset"
{  "builtIn": true,  "edited": true,  "locked": true,  "id": "string",  "organizationId": "string",  "key": null,  "name": "string",  "description": "string",  "capabilities": [    "string"  ],  "organizationLevel": true,  "assistantLevel": true,  "tier": "owner",  "memberCount": 0,  "apiKeyCount": 0,  "inviteCount": 0,  "assistantGrantCount": 0,  "memberDefault": true,  "assistantDefault": true,  "createdAt": "string",  "updatedAt": "string"}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}